### Type parameters

- #### T

- #### R: Attribute

### Hierarchy

- PropertyMetadata

## Index

### Properties

- isSortedCollection
- key
- keyForGSI
- mapper
- mapperForSingleItem
- name
- nameDb
- sortKeyForLSI
- transient
- typeInfo

## Properties

### Optional isSortedCollection

isSortedCollection: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:36

### Optional key

key: Key

- Defined in decorator/metadata/property-metadata.model.ts:19

### Optional keyForGSI

keyForGSI: Record<string, DynamoDB.KeyType>

- Defined in decorator/metadata/property-metadata.model.ts:43

### Optional mapper

mapper: undefined | function

- Defined in decorator/metadata/property-metadata.model.ts:38

### Optional mapperForSingleItem

mapperForSingleItem: undefined | function

- Defined in decorator/metadata/property-metadata.model.ts:40

### name

name: keyof T

- Defined in decorator/metadata/property-metadata.model.ts:22

### nameDb

nameDb: string

- Defined in decorator/metadata/property-metadata.model.ts:25

### Optional sortKeyForLSI

sortKeyForLSI: string[]

- Defined in decorator/metadata/property-metadata.model.ts:46

### Optional transient

transient: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:49

### Optional typeInfo

typeInfo: TypeInfo

- Defined in decorator/metadata/property-metadata.model.ts:31

Generated using TypeDoc